Subject: [bug#57050] [PATCH v2 09/13] gnu: chez-scheme-for-racket: Suport all systems.

From: "Philip McGrath" <[email-masked]>
Date: Thu, 11 Aug 2022 19:25:37 -0400

On Thu, Aug 11, 2022, at 8:02 AM, Liliana Marie Prikler wrote:
> Am Donnerstag, dem 11.08.2022 um 07:08 -0400 schrieb Philip McGrath:
>> On systems for which Racket's variant of Chez Scheme cannot generate
>> native code, it can use a 'pbarch' machine type: a variant of the
>> ``portable bytecode'' backend specialized to word size and
>> endianness.
>> This allows Racket CS to replace Racket BC on those systems while
>> maintaining comparable performance. (Racket BC lacks JIT support for
>> those systems anyway.) It also lets us provide a Chez Scheme package
>> on
>> all systems Guix supports.
>> 
>> This patch adds 'pbarch' support to both 'chez-scheme-for-racket' and
>> 'racket-vm-cs', but it does not change the Racket VM implementation
>> used
>> for the 'racket' and 'racket-minimal' packages.
>> 
>> * gnu/packages/chez.scm (nix-system->pbarch-machine-type): New
>> variable.
>> (chez-scheme-for-racket)[inputs]: Use 'libffi' for non-native
>> systems.
>> [arguments]<#:configure-flags>: Always supply '-m='. Add applicable
>> flags for non-native systems.
>> [supported-systems]: Use '%supported-systems'.
> As a follow-up, you could probably inline %supported-systems now, no?
>

I'm not sure I understand what you mean. We need the -for-racket packages to not inherit the supported systems from upstream Chez.

-Philip